lepton-schematic(1)

NAME
lepton-schematic - Lepton EDA Schematic Capture

SYNOPSIS
lepton-schematic [OPTION ...] [--] [FILE ...]

DESCRIPTION

lepton-schematic is a schematic capture application, and is part of the Lepton EDA (Electronic Design Automation) toolset. It is used to draw electronic schematics, which describe the logical structure of an circuit. Schematics are made up of symbols, which represent the various components in the circuit, and are obtained either from a standard library or created by the user. The connections between components represented by nets (wires). Schematics may be printed to a PostScript file for printing or further conversion to other output formats. Output to various image formats is also supported. lepton-schematic can also be used for editing symbols for use in schematics.

OPTIONS

-q, --quiet
    Quiet mode. Turn off all warnings/notes/messages.

-v, --verbose
    Verbose mode. Output all diagnostic information.

-L DIRECTORY
    Prepend DIRECTORY to the list of directories to be searched for Scheme files.

-s FILE
    Specify a Scheme script to be executed at startup.

-c EXPR, --command=EXPR
    Specify a Scheme expression to be evaluated at startup.

-h, --help
    Print a help message.

-V, --version
    Print lepton-schematic version information.

--  Treat all remaining arguments as schematic or symbol filenames. Use this if you have a schematic or symbol filename which begins with `-'.

SCHEMATIC AND SYMBOL FILES
Optionally, schematic or symbol FILEs may be specified on the command line. Any schematic or symbols specified are loaded at startup as separate documents in the schematic editor.

If no FILEs are specified, a blank schematic is created for editing.

AUTHORS
See the `AUTHORS' file included with this program.

COPYRIGHT
Copyright © 2012-2017 gEDA Contributors.
Copyright © 2017-2022 Lepton Developers.
License GPLv2+: GNU GPL version 2 or later. Please see the `COPYING'
file included with this program for full details.

This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
lepton-netlist(1), lepton-symcheck(1)

The complete manual for lepton-schematic is provided in a GNU texinfo format. It is also available as HTML which you can open from within the program by selecting the `Documentation' option from the program's `Help' menu. The texinfo version may be viewed with various info viewers such as emacs or tkinfo.